from scapy.all import *

# Gängige Protokoll-Layer für Web-Traffic laden
load_layer("http")
load_layer("tls")

# Traffic-Mitschnitt in packets laden
packets = rdpcap("mitschnitt.pcapng")

# for-Schleife durch alle Pakete zur Abfrage der Daten
for packet in packets:
    ip_addr = "Unbekannt"
    if packet.haslayer("IP"):
        ip_addr = packet["IP"].src
    elif packet.haslayer("IPv6"):
        ip_addr = packet["IPv6"].src
    print("Absender-IP: " + ip_addr)